Loading...
Searching...
No Matches
wimlib_add_command Struct Reference
Modifying WIMs

Data for a WIMLIB_UPDATE_OP_ADD operation. More...

`#include <wimlib.h>`

## Data Fields

wimlib_tchar * | fs_source_path
| Filesystem path to the file or directory tree to add.
wimlib_tchar * | wim_target_path
| Destination path in the image.
wimlib_tchar * | config_file
| Path to capture configuration file to use, or `NULL` if not specified.
int | add_flags
| Bitwise OR of WIMLIB_ADD_FLAG_* flags.

## Detailed Description

Data for a WIMLIB_UPDATE_OP_ADD operation.

## Field Documentation

## fs_source_path

wimlib_tchar* wimlib_add_command::fs_source_path

Filesystem path to the file or directory tree to add.

## wim_target_path

wimlib_tchar* wimlib_add_command::wim_target_path

Destination path in the image.

To specify the root directory of the image, use WIMLIB_WIM_ROOT_PATH.

## config_file

wimlib_tchar* wimlib_add_command::config_file

Path to capture configuration file to use, or `NULL` if not specified.

## add_flags

int wimlib_add_command::add_flags

Bitwise OR of WIMLIB_ADD_FLAG_* flags.

The documentation for this struct was generated from the following file:

- wimlib.h